Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1839940 - New zmat upstream release v0.9.8
Summary: New zmat upstream release v0.9.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: octave-zmat
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Qianqian Fang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-26 05:13 UTC by Qianqian Fang
Modified: 2020-06-07 19:47 UTC (History)
3 users (show)

Fixed In Version: octave-zmat-0.9.8-1.fc31 octave-zmat-0.9.8-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-04 02:49:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Qianqian Fang 2020-05-26 05:13:28 UTC
New upstream release v0.9.8 is available

https://github.com/fangq/zmat/releases/tag/v0.9.8

need to update zmat and octave-zmat

Comment 1 Fedora Update System 2020-05-26 05:28:45 UTC
FEDORA-2020-08fe338da3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-08fe338da3

Comment 2 Fedora Update System 2020-05-26 05:39:23 UTC
FEDORA-2020-4a36ddbe91 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4a36ddbe91

Comment 3 Fedora Update System 2020-05-26 05:40:02 UTC
FEDORA-2020-826e39fbaa has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-826e39fbaa

Comment 4 Ankur Sinha (FranciscoD) 2020-05-26 13:33:02 UTC
I added zmat to release-monitoring.org also, so these bugs will now be filed automatically:

https://release-monitoring.org/project/98482/

Comment 5 Qianqian Fang 2020-05-26 14:09:58 UTC
thanks Ankur.

Do I also need to create a bug on pagure? or that is only for new packages?

Comment 6 Ankur Sinha (FranciscoD) 2020-05-26 14:46:40 UTC
Do you mean on the NeuroFedora pagure project? That's only for us to have a list of tools we want to package. Once the package is in Fedora, we don't need to file any tickets there. :)

Comment 7 Qianqian Fang 2020-05-26 16:32:19 UTC
that sounds good. 

I have another question: for the zmat package (zmat, zmat-devel, and zmat-static, https://src.fedoraproject.org/rpms/zmat), I have a few sample codes for showing how to use this library in c/fortran90, you can see the source codes here

https://github.com/fangq/zmat/tree/master/test

do you think it is ok for me to place these in the %doc folders?

Comment 8 Ankur Sinha (FranciscoD) 2020-05-26 16:41:03 UTC
Yes, examples can be included in the package but it's probably good to put them in a different -doc subpackage.

https://docs.fedoraproject.org/en-US/packaging-guidelines/#_documentation

Comment 9 Qianqian Fang 2020-05-26 17:09:45 UTC
thanks @Ankur, I added a demos sub-package, see

https://src.fedoraproject.org/rpms/zmat/c/c638db5d2dda7872a3cba5aa5e16658afdd60d91?branch=master

however, rpmlint is giving me an error:

zmat-demos.noarch: E: devel-dependency zmat-devel

however, for people to compile these demo codes, I do need to have the header files in the -devel package, what is your suggestion for this?

Comment 10 Ankur Sinha (FranciscoD) 2020-05-26 18:28:42 UTC
That should be OK, but you need to correct the requires:

https://docs.fedoraproject.org/en-US/packaging-guidelines/#_requiring_base_package

- You need to include the version and architecture: Requires: %{name}devel%{?_isa} = %{version}-%{release}
- -devel already requires the base package, so the -demos sub-package only needs to pull in -devel and that will pull in the main package.
- You can also drop the LICENSE file from the -demos package, since it'll get pulled in when the main package is pulled in.

Comment 11 Fedora Update System 2020-05-27 02:21:03 UTC
FEDORA-2020-08fe338da3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-08fe338da3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-08fe338da3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-27 02:42:22 UTC
FEDORA-2020-826e39fbaa has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-826e39fbaa`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-826e39fbaa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Qianqian Fang 2020-05-27 21:02:53 UTC
hi Ankur, can you take a look at this build? 

https://koji.fedoraproject.org/koji/taskinfo?taskID=45076014

the error message appears to be build system related? I tried to resubmit the job (with --skip-nvr-check),

https://koji.fedoraproject.org/koji/taskinfo?taskID=45076391

but it returned

GenericError: Build already in progress (task 45076014)


I want to mention that the previous build without the demos subpackage was good on all branches

https://koji.fedoraproject.org/koji/buildinfo?buildID=1514302

the changes I made are here
https://src.fedoraproject.org/rpms/zmat/commits/master

Comment 14 Ankur Sinha (FranciscoD) 2020-05-27 22:21:07 UTC
There were some infra issues today, so perhaps that caused these failures. Best to bump the release and try a new build tomorrow or so.

You can see the infra status here: https://status.fedoraproject.org/

Comment 15 Qianqian Fang 2020-05-29 14:25:58 UTC
hi Ankur, I bumped the release number and resubmitted the job, it now works for all platforms, but gives an error

https://koji.fedoraproject.org/koji/taskinfo?taskID=45120227

I plan to drop the zmat-devel dependency and make this demos package noarch, do I have to bump up the release number again in order to rebuild?

Comment 16 Ankur Sinha (FranciscoD) 2020-05-29 15:50:08 UTC
Ah, right. Should've seen that one. The error is because the demos package is already noarch, and so it cannot depend on an arch specific package.
Perhaps it'll be easiest to drop the demos package and just put the examples in -devel? It doesn't result in much of a size increase from the looks of it? Or, drop the requirement on the -devel package, but then users will need to install it themselves.


You do not need to bump release here, since the build had failed (you would have if it had passed since you cannot have two successful builds for the same version-release), but please do add a new changelog entry with the same version-release to document whatever changes you make:
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_multiple_changelog_entries_per_release

Comment 17 Qianqian Fang 2020-05-29 16:47:12 UTC
thanks. adding the demo codes as part of -devel is fine for me and was my original plan. will make the change.
I will also add a changelog entry for the updates.

Comment 18 Fedora Update System 2020-05-29 17:13:57 UTC
FEDORA-2020-a9f3428606 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a9f3428606

Comment 19 Fedora Update System 2020-05-29 17:14:28 UTC
FEDORA-2020-7f1687ffa4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7f1687ffa4

Comment 20 Fedora Update System 2020-05-29 17:26:13 UTC
FEDORA-2020-fe60bbb6af has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe60bbb6af

Comment 21 Fedora Update System 2020-05-29 17:26:43 UTC
FEDORA-2020-c4f2ee55fc has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c4f2ee55fc

Comment 22 Fedora Update System 2020-05-30 02:04:08 UTC
FEDORA-2020-fe60bbb6af has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fe60bbb6af`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe60bbb6af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2020-05-30 04:04:08 UTC
FEDORA-2020-c4f2ee55fc has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c4f2ee55fc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c4f2ee55fc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 24 Fedora Update System 2020-06-04 02:49:21 UTC
FEDORA-2020-826e39fbaa has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-06-04 02:54:11 UTC
FEDORA-2020-08fe338da3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Fedora Update System 2020-06-07 19:46:02 UTC
FEDORA-2020-fe60bbb6af has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2020-06-07 19:47:14 UTC
FEDORA-2020-c4f2ee55fc has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.